Bug 1398142 - [abrt] gnome-shell: xkb_keymap_ref(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: xkb_keymap_ref(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED DUPLICATE of bug 1507656
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 25
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c50731d04df538049ea732054a5...
: 1401232 1401982 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-24 08:04 UTC by Yonatan
Modified: 2018-08-08 06:09 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:22:50 UTC


Attachments (Terms of Use)
File: backtrace (105.67 KB, text/plain)
2016-11-24 08:05 UTC, Yonatan
no flags Details
File: cgroup (325 bytes, text/plain)
2016-11-24 08:05 UTC, Yonatan
no flags Details
File: core_backtrace (21.84 KB, text/plain)
2016-11-24 08:05 UTC, Yonatan
no flags Details
File: dso_list (24.06 KB, text/plain)
2016-11-24 08:05 UTC, Yonatan
no flags Details
File: environ (1018 bytes, text/plain)
2016-11-24 08:05 UTC, Yonatan
no flags Details
File: exploitable (110 bytes, text/plain)
2016-11-24 08:05 UTC, Yonatan
no flags Details
File: limits (1.29 KB, text/plain)
2016-11-24 08:05 UTC, Yonatan
no flags Details
File: maps (66.86 KB, text/plain)
2016-11-24 08:05 UTC, Yonatan
no flags Details
File: mountinfo (3.58 KB, text/plain)
2016-11-24 08:05 UTC, Yonatan
no flags Details
File: namespaces (102 bytes, text/plain)
2016-11-24 08:05 UTC, Yonatan
no flags Details
File: open_fds (124.95 KB, text/plain)
2016-11-24 08:05 UTC, Yonatan
no flags Details
File: proc_pid_status (1007 bytes, text/plain)
2016-11-24 08:06 UTC, Yonatan
no flags Details
File: var_log_messages (15.34 KB, text/plain)
2016-11-24 08:06 UTC, Yonatan
no flags Details

Description Yonatan 2016-11-24 08:04:59 UTC
Version-Release number of selected component:
gnome-shell-3.22.1-2.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: xkb_keymap_ref
executable:     /usr/bin/gnome-shell
global_pid:     10677
kernel:         4.8.6-300.fc25.i686+PAE
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 xkb_keymap_ref at src/keymap.c:59
 #1 clutter_evdev_set_keyboard_map at evdev/clutter-device-manager-evdev.c:2474
 #2 meta_backend_native_set_keymap at backends/native/meta-backend-native.c:348
 #3 ffi_call_SYSV at ../src/x86/sysv.S:65
 #4 ffi_call at ../src/x86/ffi.c:382
 #5 gjs_invoke_c_function at gi/function.cpp:999
 #6 function_call at gi/function.cpp:1323
 #7 js::CallJSNative at /usr/src/debug/mozjs-24.2.0/js/src/jscntxtinlines.h:321
 #8 js::Invoke at /usr/src/debug/mozjs-24.2.0/js/src/vm/Interpreter.cpp:474
 #9 Interpret at /usr/src/debug/mozjs-24.2.0/js/src/vm/Interpreter.cpp:2298

Potential duplicate: bug 1349265

Comment 1 Yonatan 2016-11-24 08:05:16 UTC
Created attachment 1223597 [details]
File: backtrace

Comment 2 Yonatan 2016-11-24 08:05:18 UTC
Created attachment 1223598 [details]
File: cgroup

Comment 3 Yonatan 2016-11-24 08:05:22 UTC
Created attachment 1223599 [details]
File: core_backtrace

Comment 4 Yonatan 2016-11-24 08:05:26 UTC
Created attachment 1223600 [details]
File: dso_list

Comment 5 Yonatan 2016-11-24 08:05:28 UTC
Created attachment 1223601 [details]
File: environ

Comment 6 Yonatan 2016-11-24 08:05:30 UTC
Created attachment 1223602 [details]
File: exploitable

Comment 7 Yonatan 2016-11-24 08:05:32 UTC
Created attachment 1223603 [details]
File: limits

Comment 8 Yonatan 2016-11-24 08:05:40 UTC
Created attachment 1223604 [details]
File: maps

Comment 9 Yonatan 2016-11-24 08:05:42 UTC
Created attachment 1223605 [details]
File: mountinfo

Comment 10 Yonatan 2016-11-24 08:05:44 UTC
Created attachment 1223606 [details]
File: namespaces

Comment 11 Yonatan 2016-11-24 08:05:58 UTC
Created attachment 1223607 [details]
File: open_fds

Comment 12 Yonatan 2016-11-24 08:06:00 UTC
Created attachment 1223608 [details]
File: proc_pid_status

Comment 13 Yonatan 2016-11-24 08:06:04 UTC
Created attachment 1223609 [details]
File: var_log_messages

Comment 14 Christian Stadelmann 2016-12-03 19:06:33 UTC
*** Bug 1401232 has been marked as a duplicate of this bug. ***

Comment 15 Tim Hughes 2016-12-06 14:04:44 UTC
*** Bug 1401982 has been marked as a duplicate of this bug. ***

Comment 16 Christian Stadelmann 2017-01-28 14:01:11 UTC
Happens circa once a week for me. Freezes the desktop at a random time over any kind of application, then crashes my desktop session. I see this is a GNOME/wayland session.

Comment 17 Alexander Bartel 2017-03-12 21:02:41 UTC
This error occurs after nearly every reboot since I upgraded to Fedora 25. After Login in gdm the screen freezes for ca. 5 minutes. Then the gnome-shell gets terminated. On the second Login everything works.

Comment 18 Joe Orton 2017-09-12 07:49:27 UTC
I see this regularly on reboot too, with F26:

gnome-session-3.24.1-2.fc26.x86_64
mutter-3.24.4-1.fc26.x86_64
libxkbcommon-0.7.1-3.fc26.x86_64

Stack trace of thread 1858:
#0  0x00007fd6ca155b53 xkb_keymap_ref (libxkbcommon.so.0)
#1  0x00007fd6cad000ba clutter_evdev_set_keyboard_map (libmutter-clutter-0.so)
#2  0x00007fd6cbcf42b3 meta_backend_native_set_keymap (libmutter-0.so.0)
#3  0x00007fd6c433ebde ffi_call_unix64 (libffi.so.6)
#4  0x00007fd6c433e54f ffi_call (libffi.so.6)
#5  0x00007fd6cea4bb2c n/a (libgjs.so.0)
#6  0x00007fd6cea4d2d6 n/a (libgjs.so.0)
#7  0x00007fd6d000bf85 n/a (n/a)
#8  0x000055efcf4522b0 n/a (n/a)
#9  0x00007fd67b7490ed n/a (n/a)

Comment 19 Richard Martin 2017-11-06 17:31:21 UTC
Similar problem has been detected:

Plugged in a luks encrypted disk.
The disk is IDE via a USB adapter.

I have lots of gnome shell crashes that are not caused by disk connection though...

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: xkb_keymap_ref
executable:     /usr/bin/gnome-shell
global_pid:     28105
kernel:         4.12.14-200.fc25.x86_64
package:        gnome-shell-3.22.3-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 20 Fedora End Of Life 2017-11-16 14:39:37 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 21 Christian Stadelmann 2017-11-16 22:48:04 UTC
Still present in Fedora 27, let's track that in bug #1507656.

Comment 22 Fedora End Of Life 2017-12-12 10:22:50 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 23 Debarshi Ray 2018-08-08 06:09:50 UTC

*** This bug has been marked as a duplicate of bug 1507656 ***


Note You need to log in before you can comment on or make changes to this bug.